Subject: Re: FVWM: Application resizing failure

From: John Latham <[email-masked]>
Date: Wed, 21 Aug 2002 16:28:27 +0100

> Date: Tue, 20 Aug 2002 19:54:55 +0200
> From: Dominik Vogt <[email-masked]>

> > > On Mon, Aug 12, 2002 at 06:34:27PM +0100, John Latham wrote:
> > > > I have a certain application, written in Perl/Tk, which does not work properly
> > > > with 2.4.6 or 2.4.8; but did work okay with 2.2.4 and previous, and *does*
> > > > work okay with 2.5.2.
...

> I see that funny behaviour.  The application simply requests the
> small size and never asks for anything else, so what fvwm-2.4 is
> doing is right.  Under 2.5, the application requests the large
> size after shrinking and gets exactly this.  I do not have the
> faintest idea why the application behaves differently with the two
> versions.  I'm not surprised either because there have been a
> number of similar reports where tk behaves funny.

Thank you very much for confirming it is Perl or Tk at fault. If I find out
any clues as to why it behaves differently on 2.4 I shall let you know (e.g.
Tk misinterpreting some info *from* fvwm?).

> Bye
> Dominik ^_^  ^_^

Best wishes, John Latham
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].